#import <UIKit/UIKit.h>

#import "QMAuthService.h"
#import "QMBaseService.h"
#import "QMMemoryStorageProtocol.h"
#import "QMServiceManagerProtocol.h"
#import "CDAttachment.h"
#import "CDDialog.h"
#import "CDMessage.h"
#import "_CDAttachment.h"
#import "_CDDialog.h"
#import "_CDMessage.h"
#import "QMCCModelIncludes.h"
#import "QMChatCache.h"
#import "QBChatAttachment+QMCustomData.h"
#import "QBChatMessage+QMCustomParameters.h"
#import "QMChatAttachmentService.h"
#import "QMChatConstants.h"
#import "QMChatService.h"
#import "QMChatTypes.h"
#import "QMDialogsMemoryStorage.h"
#import "QMMessagesMemoryStorage.h"
#import "CDContactListItem.h"
#import "_CDContactListItem.h"
#import "QMCLModelIncludes.h"
#import "QMContactListCache.h"
#import "QMContactListMemoryStorage.h"
#import "QMContactListService.h"
#import "NSAttributeDescription+QMCDDataImport.h"
#import "NSEntityDescription+QMCDDataImport.h"
#import "NSNumber+QMCDDataImport.h"
#import "NSObject+QMCDDataImport.h"
#import "NSRelationshipDescription+QMCDDataImport.h"
#import "NSString+QMCDDataImport.h"
#import "QMCDImportFunctions.h"
#import "NSFetchedResultsController+QMCDFetching.h"
#import "NSManagedObject+QMCDAggregation.h"
#import "NSManagedObject+QMCDDataImport.h"
#import "NSManagedObject+QMCDFetching.h"
#import "NSManagedObject+QMCDFinders.h"
#import "NSManagedObject+QMCDRecord.h"
#import "NSManagedObject+QMCDRequests.h"
#import "NSManagedObjectContext+QMCDObserving.h"
#import "NSManagedObjectContext+QMCDRecord.h"
#import "NSManagedObjectContext+QMCDSaves.h"
#import "NSManagedObjectModel+QMCDRecord.h"
#import "NSPersistentStore+QMCDRecord.h"
#import "NSPersistentStore+QMCDRecordPrivate.h"
#import "NSPersistentStoreCoordinator+QMCDAutoMigrations.h"
#import "NSPersistentStoreCoordinator+QMCDInMemoryStoreAdditions.h"
#import "NSPersistentStoreCoordinator+QMCDManualMigrations.h"
#import "NSPersistentStoreCoordinator+QMCDRecord.h"
#import "NSArray+QMCDRecord.h"
#import "NSDictionary+QMCDRecordAdditions.h"
#import "NSError+QMCDRecordErrorHandling.h"
#import "QMCDMigrationManager.h"
#import "QMCDRecord.h"
#import "QMCDRecord+Actions.h"
#import "QMCDRecord+Options.h"
#import "QMCDRecord+Setup.h"
#import "QMCDRecord+VersionInformation.h"
#import "QMCDRecordDeprecated.h"
#import "QMCDRecordInternal.h"
#import "QMCDRecordLogging.h"
#import "QMCDRecordMOGeneratorProtocol.h"
#import "QMCDRecordShorthand.h"
#import "AutoMigratingQMCDRecordStack.h"
#import "AutoMigratingWithSourceAndTargetModelQMCDRecordStack.h"
#import "ClassicSQLiteQMCDRecordStack.h"
#import "ClassicWithBackgroundCoordinatorSQLiteQMCDRecordStack.h"
#import "InMemoryQMCDRecordStack.h"
#import "ManuallyMigratingQMCDRecordStack.h"
#import "QMCDRecordStack+Actions.h"
#import "QMCDRecordStack+Private.h"
#import "QMCDRecordStack.h"
#import "SQLiteQMCDRecordStack.h"
#import "SQLiteWithSavingContextQMCDRecordStack.h"
#import "QMDBStorage.h"
#import "QMServicesManager.h"
#import "QMServices.h"
#import "QMSLog.h"
#import "CDUser.h"
#import "_CDUser.h"
#import "QMUsersModelIncludes.h"
#import "QMUsersCache.h"
#import "QBUUser+CustomData.h"
#import "QMUsersMemoryStorage.h"
#import "QMUsersService.h"

FOUNDATION_EXPORT double QMServicesDevelopmentVersionNumber;
FOUNDATION_EXPORT const unsigned char QMServicesDevelopmentVersionString[];

